{
  "id": "00de8ca379b716434930b69e",
  "source": "solid:signals",
  "type": "github-document",
  "title": "deploying-your-app",
  "content": "---\ntitle: Deploy your app\norder: 9\nuse_cases: 'production deployment, hosting, going live, app publishing, cloud deployment'\ntags:\n  - deployment\n  - hosting\n  - production\n  - cloud\n  - publishing\nversion: '1.0'\ndescription: \u003e-\n  Deploy your Solid application to popular hosting platforms including\n  Cloudflare, Vercel, Netlify, AWS, and more with guides.\n---\n\nAre you ready to deploy your Solid application? Follow our guides for different deployment services.\n\n\u003cdiv class=\"flex flex-col md:grid md:grid-cols-4 md:grid-rows-2  gap-3\"\u003e\n\n\u003cImageLinks\n\ttitle=\"Cloudflare\"\n\thref=\"/guides/deployment-options/cloudflare\"\n\tlogo=\"cloudflare\"\n/\u003e\n\n\u003cImageLinks\n\ttitle=\"Firebase\"\n\thref=\"/guides/deployment-options/firebase\"\n\tlogo=\"firebase\"\n/\u003e\n\n\u003cImageLinks\n\ttitle=\"AWS with Flightcontrol\"\n\thref=\"/guides/deployment-options/aws-via-flightcontrol\"\n\tlogo=\"flightControl\"\n/\u003e\n\n\u003cImageLinks\n\ttitle=\"AWS with SST\"\n\thref=\"/guides/deployment-options/aws-via-sst\"\n\tlogo=\"sst\"\n/\u003e\n\n\u003cImageLinks\n\ttitle=\"Netlify\"\n\thref=\"/guides/deployment-options/netlify\"\n\tlogo=\"netlify\"\n/\u003e\n\u003cImageLinks\n\ttitle=\"Railway\"\n\thref=\"/guides/deployment-options/railway\"\n\tlogo=\"railway\"\n/\u003e\n\n\u003cImageLinks\n\ttitle=\"Vercel\"\n\thref=\"/guides/deployment-options/vercel\"\n\tlogo=\"vercel\"\n/\u003e\n\n\u003cImageLinks\n\ttitle=\"Stormkit\"\n\thref=\"/guides/deployment-options/stormkit\"\n\tlogo=\"stormkit\"\n/\u003e\n\n\u003cImageLinks\n\ttitle=\"Zerops\"\n\thref=\"/guides/deployment-options/zerops\"\n\tlogo=\"zerops\"\n/\u003e\n\u003c/div\u003e",
  "url": "https://github.com/solidjs/solid-docs/blob/HEAD/src/routes/guides/deploying-your-app.mdx",
  "metadata": {
    "path": "src/routes/guides/deploying-your-app.mdx",
    "repo": "solidjs/solid-docs",
    "repo_url": "https://github.com/solidjs/solid-docs.git",
    "size": 1422,
    "source_type": "github"
  },
  "hash": "c8f22e6bd4c4a40218422478fdf54fb9dc1d76410fd270361a24f2470dd55078",
  "timestamp": "2026-02-23T11:43:00.187270032+01:00"
}